import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { DashboardComponent } from './dashboard/dashboard.component';
import { IdeComponent } from './ide/ide.component';
import { TerminalComponent } from './terminal/terminal.component';
import { MessagesComponent } from './messages/messages.component';
import { ConsoleComponent } from './console/console.component';
import { TestmessengerComponent } from './testmessenger/testmessenger.component';

const routes: Routes = [
  { path: '', redirectTo: '/dashboard', pathMatch: 'full'},
  { path: 'dashboard', component: DashboardComponent},
  { path: 'ide', component: IdeComponent },
  { path: 'terminal', component: TerminalComponent },
  { path: 'messages', component: MessagesComponent },
  { path: 'console', component: ConsoleComponent },
  { path: 'testmessenger', component: TestmessengerComponent }
];

@NgModule({
  imports: [ RouterModule.forRoot(routes) ],
  exports: [ RouterModule ],
})
export class AppRoutingModule {}
